Content-type: text/html

# DUNE

Section: User Commands (1)
Updated:
Index Return to Main Contents

## NAME

dune - graphical vrml97 editor and animation tool

## SYNOPSIS

dune [ stereoviewoptions ] [ inputdeviceoptions ] [ file.wrl ] [ file.xml ] ...

## DESCRIPTION

dune is a graphical editor for the Virtual Reality Modeling Language (VRML97), ISO/IEC 14772-1:1997. Additionally it has support for the NurbsSurface Node described in VRML97 Amendment 1 Final Draft. It also can load vrml97 level X3D .xml files, if configured to use the NIST vrml97/x3d translators.

Dune has some basic support for stereographic view usually with shutterglases in OpenGL "quadbuffer" mode.

## STEREOVIEWOPTIONS

-nostereo
  force non stereoview mode
-eyedist eyedistinmeter
  Distance between the two eyes of the viewer. Default eyedistinmeter is 0.06, it can be negative to swap eyes (no need to reconfigure your hardware if eye swapping problems occure).
-screendist screendistinmeter
  Distance between the eyes of the viewer and the mid of the monitor screen. Default screendistinmeter is 0.8.

## INPUTDEVICEOPTIONS

-joystick joystickdevice
  [ axisoptions ] Device of Linux joystick (usually something like /dev/js0 or /dev/input/js0)
-spaceball spaceballdevice
  [ axisoptions ] Device of spaceball (usually something like /dev/ttyd2 or /dev/ttyS0)
-xinput xinputname
  [ axisoptions ] Name of Xinputdevice (usually something like magellan or dialbox-1)

## AXISOPTIONS

-x|-y|-z|-xrot|-yrot|-zrot=[-]integer_axisnumber[,[factor][,[accel][,wheel]]]
-all=[factor][,[accel][,wheel]]
-allxyz=[factor][,[accel][,wheel]]
-allrot=[factor][,[accel][,wheel]]

## AXISLEGEND

- is sign of value from axis is swapped
integer_axisnumber is a integer with the number of the axis,
  that should be used for the x y z xrot yrot zrot directions. This number may not be greater than the number of axes of the inputdevice
factor is a float with a multiplicator for the axes
accel is a float with a expotential accelerator for the axes
wheel is the string "wheel"

  wheel means this axis of the inputdevice will not deliver zero if released

## MOUSE/KEYS

  In the 3D view, dune support the following mouse / keyboard commands:

  Mouse Button 1 click/drag:
    This is used for normal operations: select things, drag things around
  Mouse Button 2 click:
    Temporary switch stereo mode off (useful to target small things)
  CTRL-Mouse Button 1 drag:
    Virtual trackball Navigation
  SHIFT-Mouse Button 1 drag:
    Forward/backward Navigation
  ALT-Mouse Button 1 drag: (SGI style)
    Virtual trackball Navigation
  ALT-Mouse Button 2 drag: (SGI style)
    up/down/left/right Navigation
  ALT-Mouse Button 1+2 drag: (SGI style)
    forward/backward Navigation
  Navigation icon pressed-Mouse Button 1 drag:
    Virtual trackball Navigation
  Navigation icon pressed-Mouse Button 2 drag: (not SGI style)
    forward/backward Navigation
  Navigation icon-Mouse Button 1+2 drag: (not SGI style)
    up/down/left/right Navigation
  s:
    Temporary switch stereo mode off (useful to target small things) In the route view, dune support the following mouse / keyboard commands: Mouse Button 1 click to fieldname of a node and drag to another matching fieldname to create a ROUTE connection Mouse Button 1 click to nothing and drag to cut a ROUTE connection Information about other keyboard usage can be found in the toolbar. Tips how to use dune can be found in the docs directory and under http://www.csv.ica.uni-stuttgart.de/vrml/dune/docs/

  ## EXAMPLES

  dune -nostereo start dune this way, if you don't have shutterglases or other shutterbased technology.

  dune -xinput magellan -allxyz=10,100 -xinput dialbox-1 -x=0 -y=2 -z=4 -xrot=1 -yrot=3 -zrot=5 -all=1000,,wheel starts dune with a magellan xinputdevice with factor 10 and accelation 100 on the xyz axes and a dialbox device with

  x axis = 0. axis
  y axis = 2. axis
  z axis = 4. axis
  rotation around x axis = 1. axis
  rotation around y axis = 3. axis
  rotation around y axis = 5. axis
  all axes use factor 1000 and all to not deliver zero if released

  ## FILES

      $HOME/.dunerc
      stores details of dunes screen layout and some other information

      $HOME/.dune_crash_*_*.wrl
      stores the vrml file in case of a crash

  ## ENVIRONMENT

  Dune can be compiled to include all informations necessary to call the nist.gov x3dtranslators statically in the binary. Otherwise the following environment variables are used:

  JAVA_PATH (e.g. /something_like/usr/java/bin/java)

  SAXON_FILE (e.g. saxon.jar)
  SAXON_PATH (e.g. /something_like/usr/local/src/x3d2vrml/saxon)
  X3DV2_FILE (e.g. x3dv2.jar)
  X3DV2_PATH (e.g. /something_like/usr/local/src/x3dv2)
  V2X3D_FILE (e.g. Vrml97ToX3dNist.jar)
  X3DV2_PATH (e.g. /something_like/usr/local/src/v2x3d)

  ## COPYRIGHT

  Dune, graphical vrml97 editor and animation tool
  Copyright (C) 2000-2002 Stephen F. White and others

  This program is free software; you can redistribute it
  and/or modify it under the terms of the
  GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later
  version.

  ## BUGS

  Dune need valid vrml97 code to work.
  Currently the NIST.gov X3D translators fail to produce valid VRML97 code for some rare used nodes like VisibilitySensor or Collision. To avoid dataloss, the temporary .wrl files are kept in /tmp
  dune is software in development, expect bugs. Unsuccessful crashes should be rare, successfully crashes allow to get back the data. (see "EXIT STATUS"). Currently not all VRML97 nodes are displayed (e.g. background, extrusion) or displayed correctly (e.g. text, viewpoint).
  Please send bugmessages to http://sourceforge.net/tracker/?group_id=3356&atid=103356

  ## DIAGNOSTICS

  Exit status is 0 for successfull operation, 1 if inputfile can not be successfully read or other initialisation error, 2 in case of a X11 server crash.

  ## EXIT STATUS

  In case of a crash (e.g. X11 server crash or signal (coredump) in case of a internal error), dune tries to write it's contence to the file $HOME/.dune_crash_*_*.wrl

  ## SEE ALSO

  v2x3d(1), x3dv2(1), vrwave(1), FreeWRL(1), lookat(1), cc3d(1), xj3d(1), cosmoplayer(1), cosmoworlds(1), wings3d(1)
  VRML97 International Standard
    http://web3d.org/technicalinfo/specifications/vrml97/index.htm
  VRML97 Amendment 1:Final Proposed Draft Amendment
    http://web3d.org/technicalinfo/specifications/vrml97am1/fpdam2/
  X3D Draft
    http://www.web3d.org/TaskGroups/x3d/specification-2001october/main.html
  NIST vrml97/x3d translators
    http://ovrt.nist.gov/v2_x3d.html

  ## AUTHORS

  Stephen F. White and others
  See README file for details

  ## Index

  NAME
  SYNOPSIS
  DESCRIPTION
  STEREOVIEWOPTIONS
  INPUTDEVICEOPTIONS
  AXISOPTIONS
  AXISLEGEND
  MOUSE/KEYS
  EXAMPLES
  FILES
  ENVIRONMENT
  COPYRIGHT
  BUGS
  DIAGNOSTICS
  EXIT STATUS
  SEE ALSO
  AUTHORS

  This document was created by man2html, using the manual pages.
  Time: 02:17:54 GMT, July 14, 2002